Perform various operations for Symitar parameters.
Operations
getLookupTypeName
Retrieve LookupTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
LookupTypeNameLookupTypeintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getLookupTypeNamePOST /nexum/627/2022.01/parameter/getLookupTypeName HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"LookupTypeNameLookupType": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getLookupTypeNameSelectFields
Retrieve LookupTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
LookupTypeNameLookupTypeintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getLookupTypeNameSelectFieldsPOST /nexum/627/2022.01/parameter/getLookupTypeNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"LookupTypeNameLookupType": 0,
"SelectableFields": {
"LookupTypeNameFields": {
"LookupType": true,
"LookupTypeValue": true
}
}
}getLookupTypeNamePagedList
Retrieve LookupTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getLookupTypeNamePagedListPOST /nexum/627/2022.01/parameter/getLookupTypeNamePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getLookupTypeNameListSelectFields
Retrieve LookupTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getLookupTypeNameListSelectFieldsPOST /nexum/627/2022.01/parameter/getLookupTypeNameListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"SelectableFields": {
"IncludeAllLookupTypeNameFields": true
}
}searchLookupTypeNameSelectFields
Search LookupTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/searchLookupTypeNameSelectFieldsPOST /nexum/627/2022.01/parameter/searchLookupTypeNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllLookupTypeNameFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getLookupTypeNamePagedListSelectFields
Retrieve LookupTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getLookupTypeNamePagedListSelectFieldsPOST /nexum/627/2022.01/parameter/getLookupTypeNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"LookupTypeNameFields": {
"LookupType": true,
"LookupTypeValue": true
}
}
}searchLookupTypeNamePagedSelectFields
Search LookupTypeName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
QuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/searchLookupTypeNamePagedSelectFieldsPOST /nexum/627/2022.01/parameter/searchLookupTypeNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"Query": "string",
"SelectableFields": {
"LookupTypeNameFields": {
"LookupType": true,
"LookupTypeValue": true
}
}
}updateLookupTypeNameByID
Update LookupTypeName parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
LookupTypeNameLookupTypeintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/updateLookupTypeNameByIDPOST /nexum/627/2022.01/parameter/updateLookupTypeNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"LookupTypeNameLookupType": 0,
"LookupTypeNameUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}